unit JXDOGUnt;

interface

function NTFindFirst(appName : PCHAR) : Integer;stdcall;   //查找NT88
function NTLogin(password : PCHAR) : Integer;stdcall;      //登录
function NTGetHardwareID(hardwareID : PCHAR) : Integer; stdcall;  //获取硬件序列号
function NTRead(address : Integer ; length : Integer; pBuffer : PCHAR) : Integer;stdcall;  //存储区读
function NTWrite(address : Integer ; length : Integer; pBuffer : PCHAR) : Integer; stdcall;//存储区写
function NT3DESCBCEncrypt(iv : PBYTE; pDataBuffer : PBYTE; buffLen : Integer) : Integer ; stdcall;//3DES加密
function NT3DESCBCDecrypt(iv : PBYTE; pDataBuffer : PBYTE; buffLen : Integer) : Integer ;stdcall;//3DES解密
function NTCheckLicense(licenseCode : Integer) : Integer;stdcall;//许可证验证
function NTLogout() : Integer; stdcall; //登出

implementation

function NTFindFirst(appName : PCHAR) : Integer; external 'DLL\JXDOG.dll';
function NTLogin(password : PCHAR) : Integer; external 'DLL\JXDOG.dll';
function NTGetHardwareID(hardwareID : PCHAR) : Integer;external 'DLL\JXDOG.dll';
function NTRead(address : Integer ; length : Integer; pBuffer : PCHAR) : Integer; external 'DLL\JXDOG.dll';
function NTWrite(address : Integer ; length : Integer; pBuffer : PCHAR) : Integer; external 'DLL\JXDOG.dll';
function NT3DESCBCEncrypt(iv : PBYTE; pDataBuffer : PBYTE; buffLen : Integer) : Integer ;external 'DLL\JXDOG.dll';
function NT3DESCBCDecrypt(iv : PBYTE; pDataBuffer : PBYTE; buffLen : Integer) : Integer ;external 'DLL\JXDOG.dll';
function NTCheckLicense(licenseCode : Integer) : Integer;external 'DLL\JXDOG.dll';
function NTLogout() : Integer;external 'DLL\JXDOG.dll';

end.
